Bug 732678 - [abrt] kernel: WARNING: at fs/inode.c:1309 iput+0x64/0x19a(): TAINTED ---------W
Summary: [abrt] kernel: WARNING: at fs/inode.c:1309 iput+0x64/0x19a(): TAINTED ---------W
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:135096f1da6be9625c48a4f32b5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 10:12 UTC by Mikko Tiihonen
Modified: 2011-09-28 14:57 UTC (History)
6 users (show)

Fixed In Version: kernel-3.1.0-0.rc6.git0.3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-28 14:57:17 UTC


Attachments (Terms of Use)

Description Mikko Tiihonen 2011-08-23 10:12:52 UTC
abrt version: 2.0.5
cmdline:        ro root=UUID=10033589-14c8-48f0-8d13-e2b4bf44fce6 rd_NO_LUKS rd_NO_LVM rd_NO_MD rd_NO_DM LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYTABLE=fi selinux=0 pcie_aspm=force
comment:        running btrfs with options (rw,noatime,compress=lzo,ssd,discard,autodefrag)
kernel:         undefined
kernel_tainted: 512
kernel_tainted_long: Taint on warning.
reason:         WARNING: at fs/inode.c:1309 iput+0x64/0x19a()
time:           Tue Aug 23 13:08:53 2011

backtrace:
:WARNING: at fs/inode.c:1309 iput+0x64/0x19a()
:Hardware name: 42844DG
:Modules linked in: tcp_lp ppdev parport_pc lp parport fuse ip6table_filter ip6_tables ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack xt_CHECKSUM iptable_mangle tun bridge stp llc coretemp arc4 cdc_ncm usbnet mii cdc_acm cdc_wdm uvcvideo videodev media v4l2_compat_ioctl32 microcode joydev snd_seq snd_hda_codec iwlagn snd_seq_device snd_hwdep i2c_i801 iTCO_wdt iTCO_vendor_support mac80211 snd_pcm cfg80211 snd_timer e1000e snd_page_alloc thinkpad_acpi rfkill snd soundcore virtio_net kvm_intel kvm uinput btrfs zlib_deflate libcrc32c sdhci_pci firewire_ohci sdhci mmc_core firewire_core crc_itu_t nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
:Pid: 448, comm: btrfs-cleaner Not tainted 3.1.0-0.rc2.git7.2.fc16.x86_64 #1
:Call Trace:
: [<ffffffff8105c528>] warn_slowpath_common+0x83/0x9b
: [<ffffffff8105c55a>] warn_slowpath_null+0x1a/0x1c
: [<ffffffff81157e70>] iput+0x64/0x19a
: [<ffffffffa01811cc>] btrfs_iget+0x3e3/0x3ec [btrfs]
: [<ffffffff815041db>] ? _raw_spin_unlock+0x28/0x3b
: [<ffffffffa0184c03>] btrfs_run_defrag_inodes+0x119/0x1da [btrfs]
: [<ffffffff81502a46>] ? __mutex_unlock_slowpath+0x112/0x122
: [<ffffffffa0172687>] cleaner_kthread+0x107/0x171 [btrfs]
: [<ffffffffa0172580>] ? transaction_kthread+0x235/0x235 [btrfs]
: [<ffffffff8107a18d>] kthread+0xa8/0xb0
: [<ffffffff8150d184>] kernel_thread_helper+0x4/0x10
: [<ffffffff815045f4>] ? retint_restore_args+0x13/0x13
: [<ffffffff8107a0e5>] ? __init_kthread_worker+0x5a/0x5a
: [<ffffffff8150d180>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: 15b822f4-a558-4b8a-a042-160e69127757
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3987.30
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2001
:System Memory: 15979
:System Swap: 16383
:Vendor: LENOVO
:System: 42844DG ThinkPad W520
:Form factor: Notebook
:Kernel: 3.1.0-0.rc2.git7.2.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4318:3578:6058:8655) pci, nouveau, VIDEO, GF108 [Quadro 1000M]
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4147:404:6058:8655) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, None, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(4318:3050:6058:8655) pci, None, MULTIMEDIA, GF108 High Definition Audio Controller
:(32902:16952:32902:4369) pci, iwlagn, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(4480:59427:6058:8655) pci, sdhci-pci, BASE, N/A
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:6058:8655) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / btrfs 4096 4096 66967296 22058608 19659406 0 0 0
:/dev/sda1 /boot ext4 4096 4096 2064238 2009800 1904943 524288 524243 524243
:

Comment 1 Mikko Tiihonen 2011-08-30 12:49:49 UTC
this still occurs in kernel 3.1.0-0.rc4.git0.0.fc16

Comment 2 Mikko Tiihonen 2011-09-24 08:36:26 UTC
This seems to be fixed in kernel-3.1.0-0.rc6.git0.3.fc16.x86_64.

The warning no longer appears in system logs whereas in 3.1rc5 it occurred dozens of times every day.


Note You need to log in before you can comment on or make changes to this bug.